Bug 488936 - boot fedora on g5 with fedora living on second disk
boot fedora on g5 with fedora living on second disk
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
ppc64 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-06 04:32 EST by josef radinger
Modified: 2009-08-14 11:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-14 11:49:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description josef radinger 2009-03-06 04:32:17 EST
Description of problem:
i have a g5 with two disks and installed fedora on the SECOND disk. installation went fine, but anaconda generates obviously an /etc/yaboot.conf without a "device="-line and therefore i was not able to boot my fresh installed fedora, as yaboot tried to find my kernel on the first disk (where macosx lives). 
after booting into rescue-mode an adding the correct device-line everything works as expected.

How reproducible:
install
Comment 1 Chris Lumens 2009-03-26 15:21:30 EDT
When you did the installation, did you tell anaconda which device to write the bootloader to?  Can you attach the generated /etc/yaboot.conf file?
Comment 2 josef radinger 2009-03-27 07:08:39 EDT
i startet the install with video=ofonly as parameter. the installation itself went with its defaults. the bootloader itself was correctly installed, but that device-line was missing.

will take some time to get /etc/yaboot.conf from that system, as i no longer have direct access. 
thanks for investigating.
Comment 3 josef radinger 2009-04-01 14:06:43 EDT
the following is my yaboot.conf, which works now AFTER i added 
"device=/ht@0,f2000000/pci@7/k2-sata-root@c/k2-sata@1/disk@0:"

the rest is as generated by anaconda, with one small modification (the init-message). 

# yaboot.conf generated by anaconda

boot=/dev/sda2
init-message="Welcome to MUI Fedora!\nHit <TAB> for boot options"

partition=2
timeout=80
install=/usr/lib/yaboot/yaboot
delay=5
enablecdboot
enableofboot
enablenetboot
macosx=/dev/sda3
magicboot=/usr/lib/yaboot/ofboot
device=/ht@0,f2000000/pci@7/k2-sata-root@c/k2-sata@1/disk@0:

image=/vmlinuz-2.6.27.19-170.2.35.fc10.ppc64
        label=2.6.27.19-170.2
        read-only
        initrd=/initrd-2.6.27.19-170.2.35.fc10.ppc64.img
        append="video=ofonly rhgb quiet root=/dev/VolGroup00/LogVol00"

image=/vmlinuz-2.6.27.5-117.fc10.ppc64
        label=linux
        read-only
        initrd=/initrd-2.6.27.5-117.fc10.ppc64.img
        append="video=ofonly rhgb quiet root=UUID=31453155-de1c-4a7c-b0d1-edb43f413f35"
Comment 4 Chris Lumens 2009-08-14 11:49:54 EDT
I don't think we have the ability in the current anaconda to determine what the OF path to a disk is.  I know right now we definitely do not write out a device= line under any circumstances, so it's not like we are failing to just in your case.  Barring the knowledge of how to do that, I don't believe there's much we can do for you here.

Note You need to log in before you can comment on or make changes to this bug.